package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.OrgUserLevel;
import com.sa.ibiz.demo.demo.service.dto.OrgUserLevelSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[OrgUserLevel] 服务对象接口
 */
public interface OrgUserLevelService extends IService<OrgUserLevel>{

	boolean update(OrgUserLevel et);
	boolean create(OrgUserLevel et);
	boolean getDraft(OrgUserLevel et);
		OrgUserLevel get(OrgUserLevel et);
	boolean checkKey(OrgUserLevel et);
	boolean remove(OrgUserLevel et);
    List<OrgUserLevel> listDefault(OrgUserLevelSearchFilter filter) ;
	Page<OrgUserLevel> searchDefault(OrgUserLevelSearchFilter filter);
	/**	 实体[OrgUserLevel] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }